%	find_skip		MATLAB function
%
%  finds the latest start time amongst nstat stations, start times are in 
%  structure start. Returns the number of samples to skip in each of the
%  data files so that data of all sites is aligned at start time of
%  latest site.

function [skip] = find_skip(s)
  months = [31 28 31 30 31 30 31 31 30 31 30 31];
  nstat = length(s);
  % estimate which data stream starts later
  
  for k = 1:nstat
    if (s(1).dt ~= s(k).dt)
      error('Sampling rates differ. Exiting!')
    end
    if s(1).year ~= s(k).year)
      error('YEAR of START TIME different. EXITING');
    end
    t(k) = s(k).sec+(60*(s(k).min+60*(s(k).hr+ ...
        (24*(s(k).day+sum(months(1:s(k).mon-1)))))));
  end
  % find index of  maximum start time t
  i_tmax = find(t == max(t));
  skip = abs(t - t(i_tmax))./s(1).dt;
  %
  %  chop off leading data
  t_diff = abs(t1 - t2);
  n_chop = t_diff/s(1).dt;
  if (l_start == 1)
    d2 = d2(n_chop+1:length(d2),:);
  elseif(l_start == 2);
    d1 = d1(n_chop+1:length(d1),:);
  end
  size(d1)
  size(d2)
  nsamp = min(length(d1),length(d2))
  DATA = [d1(1:nsamp,:),d2(1:nsamp,:)];
  size(DATA)
  return
  
   
  
  