%	find_time_string		MATLAB function
%
%  finds the string for the time resulting from the 
%  addition of (secs + skip) seconds to a start time 
%  string

function [times] = find_time_string(head,skip,secs)

months = [31 28 31 30 31 30 31 31 30 31 30 31];
secs = skip(1) + secs;

nd = floor(secs/(24*(60*60)));			rest = mod(secs,24*(60*60));
nh = floor(rest/(60*60));		        rest = mod(rest,(60*60));
nm = floor(rest/60);					rest = mod(rest,60);
ns = rest;

second 	= mod(ns+head(1).start_sec,60);			note = floor((ns+head(1).start_sec)/60);
minute	= mod(nm+head(1).start_min+note,60);	note = floor((nm+head(1).start_min+note)/60);
hour   	= mod(nh+head(1).start_hr+note,24);	    note = floor((nh+head(1).start_hr+note)/24);
day		= nd+head(1).start_day+note;
month  	= head(1).start_mon;
year   	= head(1).start_year;

kmon = 0;
while day > months(month)
   day   = day - months(month);
   kmon  = kmon+1;
   month = mod(head(1).start_mon + kmon,12); if (month == 0) month = 12; end
   if head(1).start_mon + kmon > 12
      year = year + 1;
   end
end

times = strcat(...%sprintf('%02i',year),':',...
		  			sprintf('%02i',month),'/',...
		  			sprintf('%02i',day),'_',...
		  			sprintf('%02i',hour),':',...
		  			sprintf('%02i',minute),':',...
                    sprintf('%02i',second));
              
return