%	load_asc		MATLAB function
%
%	load_asc reads ascii data from a simple ascii file,
%   preferably containing a header (which has to be
%   skipped here)
%
%	USAGE: function [data]= load_asc(head,skip,nsec,k);
%
function [data]= load_asc(head,skip,nsec,k);

global fid_asc naxes sc_factor

ndata = round(nsec/head(k).dt);
data  = zeros(head(k).nch,ndata);

% length of header
fseek(fid_asc(k),0,-1); ihead=0;
while 1
    ihead=ihead+1;
    line = fgetl(fid_asc(k));
    if (line(1:1) ~= '#')
        nhead=ihead-1;
        break
    end
end

% now start freshly
fseek(fid_asc(k),0,-1);
for i=1:nhead
    line=fgetl(fid_asc(k));
end
% skip data
% (FASTER than fgetl by factor ~8 & takes NO MEMORY
dum = fscanf(fid_asc(k),'%*f',[head(k).nch,skip(k)/head(k).dt]);
% fseek wouldn't work since it works with bytes!
% NOTE that later segments take longer -- no way to avoid this with
% sequential reading!!!

% read data
data = fscanf(fid_asc(k),'%f',[head(k).nch,ndata]);

return
