%	load_TS.m		MATLAB function
%	
%	load_TS defines settings  for loading data. Determines the selected
%	data type and calls the appropriate function. Determines earliest and
%	latest common sampling times and alignes data respectively.

function [head,skip,nchan] = load_TS(cfile)
  nstat = size(cfile,1);
  DATA = [];
  nchan = [];
  form = get(findobj('Tag','PopupFormat'),'Value');
  if (form == 2)
    set(findobj('Tag','Messages'),'String','Calling load_ASC');
    [data,start] = load_ASC(cfile);
  elseif(form == 3)
    set(findobj('Tag','Messages'),'String','Calling load_BEAR')
    [head,skip] = head_BEAR(cfile);
  end
  for k = 1:nstat
    for l = 1:nchan(k)
      c_temp = ['UseDat(',num2str(k),',',num2str(l),')'];
      set(findobj('Tag',c_temp),'Value',1);
    end
  end
  %  call get_comps to setup axes for initial time
  [comps,naxes] = get_comps([]);
  return
  
