%  TS_cbk TS callback routine handler
%
%  ws aug 03: Changes throughout program to allow plotting
%  of data in different formats @ the same time.

global fid_bin
global site l3ns l4ns hsmp format ext skip lbad

cbk = get(gco,'Tag');
switch cbk
case {'ButtonSite1','ButtonSite2','ButtonSite3'}
   k = str2num(cbk(11:11));
   [cfile,cdir] = uigetfile(filt_str,'Select Data File');
   dat_file{k} = [cdir,cfile];
   format(k) = format_tmp; 
   l = findstr(cfile,'.');
   ext(k,1:3) = lower(cfile(l+1:l+3));
   site{k}=cfile(1:l-1)
   set(gco,'String',site{k}); 
case 'ButtonLoad'
   [head,skip] = head_ts(dat_file);
   %  call get_comps to setup axes for initial time
   [comps,naxes] = get_comps(0);
case 'ButtonPrev'
   n = str2num(get(findobj('Tag','NSeconds'),'String'));
   n_minutes = str2num(get(findobj('Tag','NMinutes'),'String'));
   itsh = 0; 
   for k = 1:size(format,2) 
       if (char(ext(k,1:3)) == 'tsh' | char(ext(k,1:3)) == 'ts2' | ...
           char(ext(k,1:3)) == 'ts3') 
           itsh = 1; tsh_site = k; 
       end; 
   end;
   if (itsh)
      if (n_minutes == 0) 
         d_skip = -2*hsmp(tsh_site)*60;
      else
      	 d_skip = -round(n_minutes/(2*hsmp(tsh_site)))*2*hsmp(tsh_site)*60;
      end
   else
      if (n_minutes == 0) 
      	 d_skip = - n;
      else
         d_skip = - n_minutes*60;
      end
   end
   [min_skip,max_skip,dummy_1,dummy_2] = find_skip(head);
   if (d_skip ~=0 & skip + d_skip >= min_skip)
      skip = skip + d_skip;
      [naxes] = plot_ts(dat_file,skip,head,naxes);
   end
case 'ButtonPlot'
   n = str2num(get(findobj('Tag','NSeconds'),'String'));
   [min_skip,max_skip,dummy_1,dummy_2] = find_skip(head);
   if (skip + n <= max_skip)
      [naxes] = plot_ts(dat_file,skip,head,naxes);
   end
case 'ButtonNext'
   n = str2num(get(findobj('Tag','NSeconds'),'String'));
   n_minutes = str2num(get(findobj('Tag','NMinutes'),'String'));
   itsh = 0;
   for k = 1:size(format,2) 
       if (char(ext(k,1:3)) == 'tsh' | char(ext(k,1:3)) == 'ts2' | ...
           char(ext(k,1:3)) == 'ts3') 
           itsh = 1; tsh_site = k; 
       end; 
   end;
   if (itsh)
      if (n_minutes == 0) 
      	d_skip = 2*hsmp(tsh_site)*60;
      else
       	d_skip = round(n_minutes/(2*hsmp(tsh_site)))*2*hsmp(tsh_site)*60;
      end
   else
      if (n_minutes == 0) 
      	 d_skip = n;
      else
         d_skip = n_minutes*60;
      end
   end
   [min_skip,max_skip,dummy_1,dummy_2] = find_skip(head);
   if (d_skip ~= 0 & skip + d_skip + n <= max_skip)
      skip = skip + d_skip;
      [naxes] = plot_ts(dat_file,skip,head,naxes);
   end
case 'ButtonPrint'
   ts_print(dat_file)
case 'ButtonBadData'
   % toggle bad data mode, write bad data file
   ts_bad(head)
   if ~lbad
      [naxes] = plot_ts(dat_file,skip,head,naxes);
   end
case {'ButtonBadNext','ButtonBadPrev'}
   ts_baddata(skip,head)
   % plot right afterwards to see lines/areas
   [naxes] = plot_ts(dat_file,skip,head,naxes);
case 'ButtonClear'
   ts_clear(naxes)
   clear all
   clear global
   clear classes   
   ts_clear(naxes)
case 'NSeconds'
   n_seconds = str2num(get(findobj('Tag','NSeconds'),'String'));
   itsh = 0;
   for k = 1:size(format,2) 
       if (char(ext(k,1:3)) == 'tsh' | char(ext(k,1:3)) == 'ts2' | ...
           char(ext(k,1:3)) == 'ts3') 
           itsh = 1; tsh_site = k; 
       end; 
   end;
   if (itsh)
	   if (head(tsh_site).dt < 1/1000 & n_seconds > l3ns(tsh_site))
         set(findobj('Tag','NSeconds'),'String',num2str(l3ns(tsh_site)));
       elseif (head(tsh_site).dt > 1/1000 & n_seconds > l4ns(tsh_site))
         set(findobj('Tag','NSeconds'),'String',num2str(l4ns(tsh_site)));
       end
   end
case 'PopupFormat'
   format_tmp = get(gco,'Value')-1;
   if (format_tmp == 1)
      filt_str = '*.asc';
   elseif (format_tmp == 2)
      filt_str = '*.head';
   elseif (format_tmp == 3)
      filt_str = '*.e99';
   elseif (format_tmp == 4)
      filt_str = '*.tsl;*.tsh;*.ts2;*.ts3;*.ts4;*.ts5'; 
   elseif (format_tmp == 5)
      filt_str = '*.1mp';
   elseif (format_tmp == 6)
      filt_str = '*.bin';
   end
end